package net.northking.cctp.element.desktop.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

/**
 * <p>Title: SelectedKeyEnum</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/10/24
 * <p>Copyright: NorthKing@RPA（C）2020 版权</p>
 */

public enum SelectedKeyTableEnum implements EnumClass {
    RIGHT("Right", "Right"),
    LEFT("Left", "Left");

    private String key;

    private String value;

    SelectedKeyTableEnum(String key, String value){
        this.key = key;
        this.value = value;
    }

    @Override
    public String getEnumData() {
        List<Map<String,Object>> result = new ArrayList<>();
        for (SelectedKeyTableEnum nullEnum : EnumSet.allOf(SelectedKeyTableEnum.class)) {
            Map<String,Object> one = new HashMap();
            one.put("label",nullEnum.key);
            one.put("value",nullEnum.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}
